<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="java.util.Map" %>
<%
    String path = request.getContextPath() + "/";
    Map s_btn = (Map) session.getAttribute("s_btn");
    if(s_btn==null){
        out.println("用户身份失效，请重新登录");
        return;
    }
    Map s_have_btn = (Map) session.getAttribute("s_have_btn");
    Pub pub = new Pub();
    String menu_id = pub.trimNull(request.getParameter("menu_id"));
    String menu_btn_all = "";	
    String menu_btn_have = "";
	if(s_have_btn!=null){
		menu_btn_all = pub.trimNull((String) s_btn.get(menu_id));
		menu_btn_have = pub.trimNull((String) s_have_btn.get(menu_id));
	}
%>
<!DOCTYPE html>
<html>
<head>
    <title>值班管理系统</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />
    <!--[if lt IE 9]>
    <script type="text/javascript" src="<%=path%>js/html5shiv.js"></script>
    <script type="text/javascript" src="<%=path%>js/respond.min.js"></script>
    <![endif]-->
    <link rel="stylesheet" type="text/css" href="<%=path%>css/h-ui/css/H-ui.min.css"/>
    <link rel="stylesheet" type="text/css" href="<%=path%>css/h-ui.admin/css/H-ui.admin.css"/>
    <link rel="stylesheet" type="text/css" href="<%=path%>js/Hui-iconfont/1.0.8/iconfont.css"/>
    <link rel="stylesheet" type="text/css" href="<%=path%>css/h-ui.admin/skin/green/skin.css" id="skin"/>
    <link rel="stylesheet" type="text/css" href="<%=path%>css/h-ui.admin/css/style.css"/>
    <!--_footer 作为公共模版分离出去-->
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/layer/2.4/layer.js"></script>
    <script type="text/javascript" src="<%=request.getContextPath()%>/css/h-ui/js/H-ui.min.js"></script>
    <script type="text/javascript" src="<%=request.getContextPath()%>/css/h-ui.admin/js/H-ui.admin.js"></script>
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/My97DatePicker/4.8/WdatePicker.js"></script>
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/datatables/1.10.0/jquery.dataTables.min.js"></script>
    <style>
        #tr_doub{background-color: #fff;}
        #tr_doub td{font-size: 16px;}
        #tr_single{background-color: #f0f0f0;}
        #tr_single td{font-size: 16px;}
    </style>
</head>
<body>
<sitemesh:write property='body' style="margin-top:10px;">
</sitemesh:write>
</body>
</html>


<script>
    function changeBtn() {
        var have_bts = "<%=menu_btn_all%>";
        var have_bt = have_bts.split(",");
        for (var i = 0; i < have_bt.length; i++) {
            var obj = document.getElementsByName(have_bt[i]);
            for (var j = 0; j < obj.length; j++) {
                obj[j].style.display = "none";
            }
        }
        have_bts = "<%=menu_btn_have%>";
        have_bt = have_bts.split(",");
        for (var i = 0; i < have_bt.length; i++) {
            var obj = document.getElementsByName(have_bt[i]);
            for (var j = 0; j < obj.length; j++) {
                obj[j].style.display = "";
            }
        }
    }
    $(document).keyup(function (event) {
    if (event.keyCode == 27) {
    parent.document.getElementById("close_open_id").click();
    }
    });
</script>